# BEGIN_KITTY_THEME
# Catppuccin-Frappe
include current-theme.conf
# END_KITTY_THEME

#Fonts
font_family      DejaVuSansM Nerd Font Mono
bold_font        auto
italic_font      auto
bold_italic_font auto
font_size 14.0

# Scroll
scrollback_lines 65635
scrollback_indicator_opacity 0.5

#Url
open_url_with firefox

underline_hyperlinks always

copy_on_select clipboard

select_by_word_characters @-./_~?&%+#

sync_to_monitor yes

# Layout
enabled_layouts vertical

### Shortcut
# Global
map alt+up change_font_size all +2.0
map alt+down change_font_size all -2.0
map alt+= change_font_size all 0
map alt+u open_url_with_hints
map shift+up scroll_line_up
map shift+down scroll_line_down
map shift+page_up scroll_page_up
map shift+page_down scroll_page_down
mouse_map alt+middle press ungrabbed paste_from_clipboard
# Layout
map alt+s new_window
map alt+p previous_window
map alt+n next_window
# Tab
map alt+enter new_tab
map alt+left previous_tab
map alt+right next_tab
map alt+tab next_tab
map alt+t set_tab_title
